{
  "accUserMode" : 2,
  "caption" : "视图标题：数据表格95",
  "codeName" : "TESTGRIDUsr09053571GridView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr09053571GridView.json",
  "gridRowActiveMode" : 1,
  "height" : 2000,
  "name" : "TESTGRIDUsr09053571GridView",
  "getPSAppCounterRef" : {
    "modelref" : true,
    "id" : "aa6e16464930a722312196486a5154a5"
  },
  "getPSAppCounterRefs" : [ {
    "getPSAppCounter" : {
      "codeName" : "Portal",
      "counterType" : "CUSTOM",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPCOUNTERS/Portal.json",
      "name" : "门户界面计数器",
      "getPSCounterId" : "PORTAL",
      "timer" : 60000
    },
    "tag" : "aa6e16464930a722312196486a5154a5",
    "id" : "aa6e16464930a722312196486a5154a5"
  } ],
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridView",
    "name" : "engine"
  }, {
    "engineCat" : "CTRL",
    "engineType" : "CtrlLoadTrigger",
    "name" : "engine_grid_default"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr4EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr4EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      }, {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr4EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "getWizardPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr4EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : true
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr4EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr4EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup2"
  },
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA",
    "realTitle" : "书编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr4EditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "NEWDATA",
    "realTitle" : "书编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGRIDUsr4EditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr09053571GridViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "数据表格数据模型_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TEXT.*.NEW",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.NEW]",
        "refFlag" : true
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem3"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TEXT.*.NEW",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.NEW]",
          "refFlag" : true
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "name" : "表格界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "GRIDVIEW_NEWACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TOOLTIP.*.NEW",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.NEW]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TOOLTIP.*.NEW",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.NEW]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TEXT.*.EDIT",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.EDIT]",
        "refFlag" : true
      },
      "caption" : "编辑",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem4",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem4"
      },
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.EDIT]",
          "refFlag" : true
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.EDIT]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "编辑",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TOOLTIP.*.EDIT",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.EDIT]",
        "refFlag" : true
      },
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem7",
      "spanMode" : false
    }, {
      "caption" : "其它",
      "itemType" : "ITEMS",
      "name" : "tbitem16",
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF",
          "lanResType" : "MENUITEM.CAPTION",
          "name" : "菜单项文本[*.EXPORTSRF]",
          "refFlag" : true
        },
        "caption" : "导出数据模型",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem21",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem21"
        },
        "getPSSysImage" : {
          "glyph" : "xf019@FontAwesome",
          "cssClass" : "fa fa-download"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF",
            "lanResType" : "MENUITEM.CAPTION",
            "name" : "菜单项文本[*.EXPORTSRF]",
            "refFlag" : true
          },
          "caption" : "导出数据模型",
          "codeName" : "ExportModel",
          "fullCodeName" : "ExportModel",
          "name" : "表格界面_导出数据模型",
          "getPSSysImage" : {
            "glyph" : "xf019@FontAwesome",
            "cssClass" : "fa fa-download"
          },
          "predefinedType" : "GRIDVIEW_EXPORTXMLACTION",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "ExportModel",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "导出数据模型",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "tooltip" : "其它",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "grid",
    "modelid" : "C414E7D7-05F9-40AB-A743-3A4A2400FBA9",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "aggMode" : "PAGE",
    "codeName" : "Usr09053571GridView_Grid",
    "columnEnableFilter" : 2,
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "getCreatePSControlAction" : {
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID/PSGRIDS/Usr09053571GridView_Grid.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
      }
    },
    "getGetDraftPSControlAction" : {
      "actionName" : "GetDraft",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraft",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
      }
    },
    "getGetPSControlAction" : {
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
      }
    },
    "groupMode" : "NONE",
    "height" : 2000.0,
    "hookEventNames" : [ "ONCHANGE", "ONLOADSUCCESS" ],
    "logicName" : "数据表格95_表格",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "onChange",
      "itemName" : "test1",
      "logicTag" : "grid",
      "logicType" : "APPDEUIACTION",
      "name" : "changeTest1",
      "getPSAppDEUIAction" : {
        "actionTarget" : "NONE",
        "caption" : "百度",
        "codeName" : "openBaidu",
        "frontProcessType" : "OPENHTMLPAGE",
        "fullCodeName" : "openBaidu",
        "htmlPageUrl" : "https://www.baidu.com/",
        "name" : "百度",
        "timeout" : 60000,
        "uIActionMode" : "FRONT",
        "uIActionTag" : "openBaidu",
        "uIActionType" : "DEUIACTION"
      }
    }, {
      "eventNames" : "onLoadSuccess",
      "itemName" : "test1",
      "logicTag" : "grid",
      "logicType" : "SCRIPT",
      "name" : "login5",
      "scriptCode" : "console.log('加载成功')"
    } ],
    "getPSControlParam" : {
      "height" : 2000.0,
      "width" : 1888.0,
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "defaultContent" : "测试表格名称",
        "lanResTag" : "DEF.LNAME.TESTGRIDNAME",
        "lanResType" : "DEF.LNAME",
        "name" : "属性逻辑名称（DEF.LNAME.*）[TESTGRIDNAME]",
        "refFlag" : true
      },
      "caption" : "测试表格名称",
      "codeName" : "testgridname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "testgridname",
      "excelCaption" : "测试表格名称",
      "name" : "testgridname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "TESTGRIDNAME",
        "codeName" : "TESTGRIDName"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "defaultContent" : "更新人",
        "lanResTag" : "DEF.LNAME.UPDATEMAN",
        "lanResType" : "DEF.LNAME",
        "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEMAN]",
        "refFlag" : true
      },
      "caption" : "更新人",
      "codeName" : "updateman",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updateman",
      "excelCaption" : "更新人",
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "defaultContent" : "更新时间",
        "lanResTag" : "DEF.LNAME.UPDATEDATE",
        "lanResType" : "DEF.LNAME",
        "name" : "属性逻辑名称（DEF.LNAME.*）[UPDATEDATE]",
        "refFlag" : true
      },
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updatedate",
      "excelCaption" : "更新时间",
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "RIGHT",
      "cLConvertMode" : "BACKEND",
      "caption" : "属性列:标题",
      "getCellPSSysCss" : {
        "cssName" : "color-red"
      },
      "codeName" : "test4",
      "columnStyle" : "USER",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "test4",
      "excelCaption" : "属性列:标题",
      "groupItem" : "GROUP4",
      "getHeaderPSSysCss" : {
        "cssName" : "bg-blue"
      },
      "name" : "test4",
      "noPrivDisplayMode" : 2,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList83.json"
      },
      "getPSAppDEField" : {
        "name" : "TEST4",
        "codeName" : "Test4"
      },
      "getPSControlLogics" : [ {
        "itemName" : "test4",
        "logicTag" : "grid",
        "logicType" : "SCRIPT",
        "name" : "definetype1",
        "scriptCode" : "console.log('预定义类型:项显示逻辑')",
        "triggerType" : "ITEMVISIBLE"
      } ],
      "getPSSysImage" : {
        "cssClass" : "fa-solid fa-paste"
      },
      "getPSSysPFPlugin" : {
        "pluginType" : "CUSTOM",
        "pluginCode" : "bujian"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableItemPriv" : true,
      "enableSort" : false
    }, {
      "aggMode" : "MAX",
      "aggValueFormat" : "0.##%",
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "属性3",
      "codeName" : "test3",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "test3",
      "excelCaption" : "属性3",
      "getLinkPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookOptionView.json",
        "viewType" : "DEOPTVIEW"
      },
      "linkValueItem" : "test3",
      "name" : "test3",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "TEST3",
        "codeName" : "Test3"
      },
      "getPSControlLogics" : [ {
        "itemName" : "test3",
        "logicTag" : "grid",
        "logicType" : "SCRIPT",
        "name" : "login3",
        "scriptCode" : "console.log('空输入逻辑test3')",
        "triggerType" : "ITEMBLANK"
      } ],
      "valueFormat" : "0.##%",
      "width" : 150,
      "widthUnit" : "PX",
      "enableLinkView" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "属性2",
      "codeName" : "test2",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "test2",
      "excelCaption" : "属性2",
      "name" : "test2",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "TEST2",
        "codeName" : "Test2"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "属性",
      "codeName" : "test1",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "test1",
      "excelCaption" : "属性",
      "name" : "test1",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "TEST1",
        "codeName" : "Test1"
      },
      "getPSControlLogics" : [ {
        "itemName" : "test1",
        "logicTag" : "grid",
        "logicType" : "APPDEUIACTION",
        "name" : "login1",
        "getPSAppDEUIAction" : {
          "actionTarget" : "NONE",
          "caption" : "百度",
          "codeName" : "openBaidu",
          "frontProcessType" : "OPENHTMLPAGE",
          "fullCodeName" : "openBaidu",
          "htmlPageUrl" : "https://www.baidu.com/",
          "name" : "百度",
          "timeout" : 60000,
          "uIActionMode" : "FRONT",
          "uIActionTag" : "openBaidu",
          "uIActionType" : "DEUIACTION"
        },
        "triggerType" : "ITEMENABLE"
      } ],
      "width" : 150,
      "widthUnit" : "PX",
      "enableRowEdit" : true,
      "enableSort" : true
    }, {
      "align" : "RIGHT",
      "caption" : "操作列：标题",
      "getCellPSSysCss" : {
        "cssName" : "color-red"
      },
      "codeName" : "uagridcolumn1",
      "columnStyle" : "EXPAND",
      "columnType" : "UAGRIDCOLUMN",
      "getHeaderPSSysCss" : {
        "cssName" : "bg-blue"
      },
      "name" : "uagridcolumn1",
      "noPrivDisplayMode" : 1,
      "getPSDEUIActionGroup" : {
        "codeName" : "Usr0803774731",
        "name" : "门户界面行为组",
        "getPSUIActionGroupDetails" : [ {
          "getCapPSLanguageRes" : {
            "defaultContent" : "新建",
            "lanResTag" : "TBB.TEXT.*.NEW",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[*.NEW]",
            "refFlag" : true
          },
          "caption" : "新建",
          "detailType" : "DEUIACTION",
          "name" : "u71a8bd4",
          "getPSSysImage" : {
            "glyph" : "xf0f6@FontAwesome",
            "cssClass" : "fa fa-file-text-o"
          },
          "getPSUIAction" : {
            "getCapPSLanguageRes" : {
              "defaultContent" : "新建",
              "lanResTag" : "TBB.TEXT.*.NEW",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.NEW]",
              "refFlag" : true
            },
            "caption" : "新建",
            "codeName" : "New",
            "fullCodeName" : "New",
            "name" : "表格界面_新建操作",
            "getPSSysImage" : {
              "glyph" : "xf0f6@FontAwesome",
              "cssClass" : "fa fa-file-text-o"
            },
            "predefinedType" : "GRIDVIEW_NEWACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "新建",
              "lanResTag" : "TBB.TOOLTIP.*.NEW",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.NEW]",
              "refFlag" : true
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "New",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "新建",
            "lanResTag" : "TBB.TOOLTIP.*.NEW",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[*.NEW]",
            "refFlag" : true
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TEXT.*.EDIT",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[*.EDIT]",
            "refFlag" : true
          },
          "caption" : "编辑",
          "detailType" : "DEUIACTION",
          "name" : "uea72408",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "getCapPSLanguageRes" : {
              "defaultContent" : "编辑",
              "lanResTag" : "TBB.TEXT.*.EDIT",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.EDIT]",
              "refFlag" : true
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "name" : "表格界面_编辑操作",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "编辑",
              "lanResTag" : "TBB.TOOLTIP.*.EDIT",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.EDIT]",
              "refFlag" : true
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "编辑",
            "lanResTag" : "TBB.TOOLTIP.*.EDIT",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[*.EDIT]",
            "refFlag" : true
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "百度",
          "detailType" : "DEUIACTION",
          "name" : "ubae97f0",
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "caption" : "百度",
            "codeName" : "openBaidu",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "openBaidu",
            "htmlPageUrl" : "https://www.baidu.com/",
            "name" : "百度",
            "timeout" : 60000,
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openBaidu",
            "uIActionType" : "DEUIACTION"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "getCapPSLanguageRes" : {
            "defaultContent" : "删除",
            "lanResTag" : "TBB.TEXT.*.REMOVE",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[*.REMOVE]",
            "refFlag" : true
          },
          "caption" : "删除",
          "detailType" : "DEUIACTION",
          "name" : "uee0dcd7",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "defaultContent" : "删除",
              "lanResTag" : "TBB.TEXT.*.REMOVE",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.REMOVE]",
              "refFlag" : true
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "删除",
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.REMOVE]",
              "refFlag" : true
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "删除",
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[*.REMOVE]",
            "refFlag" : true
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ]
      },
      "getPSSysImage" : {
        "cssClass" : "fa-solid fa-file-zipper"
      },
      "width" : 160,
      "widthUnit" : "PX",
      "enableSort" : false
    }, {
      "align" : "RIGHT",
      "caption" : "分组列：标题",
      "getCellPSSysCss" : {
        "cssName" : "color-red"
      },
      "codeName" : "groupgridcolumn1",
      "columnStyle" : "USER",
      "columnType" : "GROUPGRIDCOLUMN",
      "getHeaderPSSysCss" : {
        "cssName" : "bg-blue"
      },
      "name" : "groupgridcolumn1",
      "noPrivDisplayMode" : 1,
      "getPSDEGridColumns" : [ {
        "align" : "LEFT",
        "cLConvertMode" : "FRONT",
        "getCapPSLanguageRes" : {
          "defaultContent" : "建立人",
          "lanResTag" : "DEF.LNAME.CREATEMAN",
          "lanResType" : "DEF.LNAME",
          "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEMAN]",
          "refFlag" : true
        },
        "caption" : "建立人",
        "codeName" : "createman",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "createman",
        "enableCond" : 3,
        "excelCaption" : "建立人",
        "ignoreInput" : 0,
        "name" : "createman",
        "noPrivDisplayMode" : 1,
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "width" : 100,
        "widthUnit" : "PX",
        "allowEmpty" : true,
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "defaultContent" : "测试表格标识",
          "lanResTag" : "DEF.LNAME.TESTGRIDID",
          "lanResType" : "DEF.LNAME",
          "name" : "属性逻辑名称（DEF.LNAME.*）[TESTGRIDID]",
          "refFlag" : true
        },
        "caption" : "测试表格标识",
        "codeName" : "testgridid",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "testgridid",
        "enableCond" : 3,
        "excelCaption" : "测试表格标识",
        "ignoreInput" : 0,
        "name" : "testgridid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "TESTGRIDID",
          "codeName" : "TESTGRIDId"
        },
        "width" : 100,
        "widthUnit" : "PX",
        "allowEmpty" : true,
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "defaultContent" : "建立时间",
          "lanResTag" : "DEF.LNAME.CREATEDATE",
          "lanResType" : "DEF.LNAME",
          "name" : "属性逻辑名称（DEF.LNAME.*）[CREATEDATE]",
          "refFlag" : true
        },
        "caption" : "建立时间",
        "codeName" : "createdate",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "createdate",
        "enableCond" : 3,
        "excelCaption" : "建立时间",
        "ignoreInput" : 0,
        "name" : "createdate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "width" : 100,
        "widthUnit" : "PX",
        "allowEmpty" : true,
        "enableSort" : true
      } ],
      "getPSSysImage" : {
        "cssClass" : "fa-solid fa-file-zipper"
      },
      "width" : 160,
      "widthUnit" : "PX",
      "enableSort" : false
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "testgridname",
      "getPSAppDEField" : {
        "name" : "TESTGRIDNAME",
        "codeName" : "TESTGRIDName"
      }
    }, {
      "dataType" : 25,
      "name" : "updateman",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "updatedate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "dataType" : 25,
      "name" : "test4",
      "getPSAppDEField" : {
        "name" : "TEST4",
        "codeName" : "Test4"
      },
      "convertToCodeItemText" : true
    }, {
      "format" : "0.##%",
      "dataType" : 6,
      "name" : "test3",
      "getPSAppDEField" : {
        "name" : "TEST3",
        "codeName" : "Test3"
      }
    }, {
      "dataType" : 25,
      "name" : "test2",
      "getPSAppDEField" : {
        "name" : "TEST2",
        "codeName" : "Test2"
      }
    }, {
      "dataType" : 25,
      "name" : "test1",
      "getPSAppDEField" : {
        "name" : "TEST1",
        "codeName" : "Test1"
      }
    }, {
      "dataType" : 25,
      "name" : "groupname",
      "getPSAppDEField" : {
        "name" : "GROUPNAME",
        "codeName" : "GroupName"
      }
    }, {
      "dataType" : 25,
      "name" : "createman",
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      }
    }, {
      "dataType" : 25,
      "name" : "testgridid",
      "getPSAppDEField" : {
        "name" : "TESTGRIDID",
        "codeName" : "TESTGRIDId"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "createdate",
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "TESTGRIDID",
        "codeName" : "TESTGRIDId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "TESTGRIDID",
        "codeName" : "TESTGRIDId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "TESTGRIDNAME",
        "codeName" : "TESTGRIDName"
      }
    } ],
    "getPSDEGridEditItemUpdates" : [ {
      "codeName" : "test11",
      "name" : "test1111",
      "getPSDEGEIUpdateDetails" : [ {
        "name" : "test1"
      } ],
      "scriptCode" : "console.log('表格更新模式快速配置')",
      "customCode" : true
    } ],
    "getPSDEGridEditItemVRs" : [ {
      "checkMode" : 3,
      "name" : "编辑项值规则",
      "getPSDEGridEditItemName" : "test1",
      "getPSSysValueRule" : {
        "codeName" : "ValueRule14",
        "dynaModelFilePath" : "PSSYSVALUERULES/ValueRule14.json",
        "name" : "由26个英文字母组成的字符串",
        "regExCode" : "[A-Za-z]+",
        "ruleInfo" : "内容必须为26个英文字母组成的字符串",
        "ruleType" : "REG",
        "enableBackend" : true,
        "enableFront" : true
      },
      "valueRuleType" : "SYSVALUERULE"
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "属性2",
      "codeName" : "test2",
      "createDVT" : "SESSION",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "test2",
      "outputCodeListConfigMode" : 2,
      "getPSAppDEField" : {
        "name" : "TEST2",
        "codeName" : "Test2"
      },
      "getPSEditor" : {
        "editorParams" : {
          "editor-params" : ""
        },
        "editorStyle" : "editorTest",
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "test2",
        "getPSEditorItems" : [ {
          "name" : "test1"
        } ],
        "getPSSysPFPlugin" : {
          "pluginType" : "EDITOR_CUSTOMSTYLE",
          "pluginCode" : "editorTest"
        },
        "placeHolder" : "行编辑参数：空白内容提示"
      },
      "resetItemName" : "test4",
      "updateDVT" : "APPLICATION",
      "valueItemName" : "test1",
      "allowEmpty" : false,
      "needCodeListConfig" : true
    }, {
      "caption" : "属性",
      "codeName" : "test1",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "test1",
      "getPSAppDEField" : {
        "name" : "TEST1",
        "codeName" : "Test1"
      },
      "getPSDEGridEditItemUpdate" : {
        "modelref" : true,
        "id" : "test11"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "test1"
      },
      "allowEmpty" : false
    }, {
      "caption" : "分组属性",
      "codeName" : "groupname",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "groupname",
      "getPSAppDEField" : {
        "name" : "GROUPNAME",
        "codeName" : "GroupName"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 100,
        "name" : "groupname"
      },
      "allowEmpty" : true
    }, {
      "caption" : "测试表格标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "TESTGRIDID",
        "codeName" : "TESTGRIDId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "allowEmpty" : true
    } ],
    "getPSSysCss" : {
      "cssName" : "color-red"
    },
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
      }
    },
    "sortMode" : "REMOTE",
    "getUpdatePSControlAction" : {
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
      }
    },
    "width" : 1888.0,
    "hasWFDataItems" : false,
    "enableColFilter" : true,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enableItemPrivilege" : true,
    "enablePagingBar" : true,
    "enableRowEdit" : true,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : true,
    "name" : "grid",
    "modelid" : "2CF7E380-2262-43F4-8687-4559AA324FC4",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "Usr09053571GridView_SearchForm",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID/PSSEARCHFORMS/Usr09053571GridView_SearchForm.json",
    "logicName" : "数据表格95_搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "5A26F517-A01E-48A0-8CA4-4FDDD17712C7",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "testSearchBar",
    "controlType" : "SEARCHBAR",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHBARS/testSearchBar.json",
    "logicName" : "测试搜索栏",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "QUICKSEARCHBAR"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false,
    "name" : "quicksearchbar",
    "modelid" : "7BEE5399-A0C8-429E-865D-936279D7911D",
    "modeltype" : "PSSYSSEARCHBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "getPSSearchBarGroups" : [ {
      "caption" : "1季度",
      "itemType" : "GROUP",
      "name" : "1",
      "width" : 0.0,
      "addSeparator" : false
    }, {
      "caption" : "2季度",
      "itemType" : "GROUP",
      "name" : "2",
      "width" : 0.0,
      "addSeparator" : false
    }, {
      "caption" : "3季度",
      "itemType" : "GROUP",
      "name" : "3",
      "width" : 0.0,
      "addSeparator" : false
    }, {
      "caption" : "4季度",
      "itemType" : "GROUP",
      "name" : "4",
      "width" : 0.0,
      "addSeparator" : false
    } ],
    "quickGroupCount" : 4,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : true,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "视图标题：数据表格95",
    "codeName" : "Usr09053571GridViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    },
    "getPSControlParam" : { },
    "getPSSysImage" : {
      "glyph" : "xf0f1@FontAwesome",
      "cssClass" : "fa fa-stethoscope"
    },
    "subCaption" : "视图子标题：测试视图子标题"
  } ],
  "getPSDEViewCodeName" : "Usr09053571GridView",
  "getPSDEViewId" : "B3B48351-C96D-46B7-8F79-EAE912B87AFB",
  "getPSSysCss" : {
    "cssName" : "color-red"
  },
  "getPSSysImage" : {
    "glyph" : "xf0f1@FontAwesome",
    "cssClass" : "fa fa-stethoscope"
  },
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGRIDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "getQuickGroupPSCodeList" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList83.json"
  },
  "subCaption" : "视图子标题：测试视图子标题",
  "title" : "视图抬头：数据表格95",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW",
  "width" : 1600,
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : false,
  "enableFilter" : false,
  "enableImport" : false,
  "enableQuickGroup" : true,
  "enableQuickSearch" : true,
  "enableRowEdit" : false,
  "enableSearch" : true,
  "readOnly" : true,
  "rowEditDefault" : true,
  "modelid" : "1B36F3E5-F541-4CA4-BCBE-F9D4C3EFD6BA",
  "modeltype" : "PSAPPDEVIEW"
}